version: '3.3'
services:
    www:
        build: 
            context: .
            dockerfile: Dockerfile
        container_name: www_symfony6_docker
        volumes:
            - ./vhosts:/etc/apache2/sites-enabled
            - ./:/var/www
        restart: always
        labels:
            - "traefik.http.routers.app2.rule=Host(`app2.traefik.me`)"
            - "traefik.http.routers.app2-tls.tls.domains[0].main=app2.traefik.me"
            - "traefik.http.routers.app2-tls.tls.domains[0].sans=app2-*.traefik.me"
           # - "traefik.http.routers.app2.tls=true"
        networks:
            - dev
            
    traefik:
        restart: unless-stopped
        image: traefik:v2.0.2
        command: --providers.docker=true
        ports:
          - "80:80"
          - "443:443"
        labels:
          - "traefik.http.services.traefik.loadbalancer.server.port=8080"
        volumes:
         # - ./traefik.yml:/etc/traefik/traefik.yml
          - ./tls.yml:/etc/traefik/tls.yml
          - /var/run/docker.sock:/var/run/docker.sock
          - certs:/etc/ssl/traefik
        networks:
            - dev

    reverse-proxy-https-helper:
        image: alpine
        command: sh -c "cd /etc/ssl/traefik
          && wget traefik.me/cert.pem -O cert.pem
          && wget traefik.me/privkey.pem -O privkey.pem"
        volumes:
          - certs:/etc/ssl/traefik
    portainer-ce:
        image: portainer/portainer-ee
        container_name: "portainer-ee"
        restart: always
        ports:
          - "9000:9000"
        volumes:
          - /var/run/docker.sock:/var/run/docker.sock

    database:
        container_name: symfony6_database_1
        image: 'mysql:latest'
        restart: always
        environment:
            MYSQL_ALLOW_EMPTY_PASSWORD: 'yes'
        ports:
            # To allow the host machine to access the ports below, modify the lines below.
            # For example, to allow the host to connect to port 3306 on the container, you would change
            # "3306" to "3306:3306". Where the first port is exposed to the host and the second is the container port.
            # See https://docs.docker.com/compose/compose-file/compose-file-v3/#ports for more information.
            - '3306'
        volumes:
            - ../sql/baze/main.sql:/docker-entrypoint-initdb.d/main.sql
            - ../sql/baze/main_ken.sql:/docker-entrypoint-initdb.d/main_ken.sql
           
        networks:
            - dev

    phpmyadmin:
        image: phpmyadmin:latest
        container_name: phpmyadmin_symfony_6
        restart: always
        depends_on:
            - database
        ports:
            - 8088:80
        environment:
            PMA_HOST: database
        networks:
            - dev

networks:
    dev:

volumes:
    db-data:
    certs: